cURL
curl --request GET \
--url https://api.mudstack.com/workspaces/libraries/{library_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/libraries/{library_id}"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/libraries/{library_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_file_id": "<string>",
"defaultAvatar": 123,
"created_by_user_id": "<string>",
"sequence": 123
}Libraries
Get library
Retrieve a library by its ID.
GET
/
workspaces
/
libraries
/
{library_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
The library with the specified ID
Unique identifier for the library.
Identifier for the workspace to which the library belongs.
Name of the library.
Description of the library.
Identifier for the thumbnail file associated with the library.
Default avatar for the library.
Identifier for the user who created the library.
Sequence number for ordering libraries.
Was this page helpful?
⌘I